#include <Wire.h>
#include "__CH4_BME280i2c_revA.h"
#define DAQpin A3
unsigned char I2Caddr = 0x76;
unsigned char ODR_Delay = 12; // Output Data Rate
unsigned int samples=100;

void setup() {
   Serial.begin(115200);
   Wire.begin();
   digitalWrite(DAQpin,HIGH);
   pinMode(DAQpin, OUTPUT);
}

void loop() {
 int rcvDATA;
 long T;
 unsigned long P[samples];

   BME280_Init(I2Caddr);
   delay(1000);
   BME280_ReadTcoeffs(I2Caddr);
   BME280_ReadPcoeffs(I2Caddr);

   do {
     while(!Serial.available());
     rcvDATA=Serial.read();
    } while(rcvDATA!='@');
    delay(1000); 

   digitalWrite(DAQpin,LOW);
   for (int i=0; i<samples; i++){
    //digitalWrite(DAQpin,LOW);
    BME280_Read_uncompensatedT(I2Caddr);
    T = BME280_compensateT();
    BME280_Read_uncompensatedP(I2Caddr);
    P[i] = BME280_compensateP();
    Serial.println( ((float)P[i] / 100000) ,6 );
    //digitalWrite(DAQpin,HIGH);
    delay(ODR_Delay);    
   }
   digitalWrite(DAQpin,HIGH);   
}
